Update a package
curl --request PATCH \
--url https://app.kenekt.com.au/v1/{agency_uid}/builds/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"bdm_uid": "USR-DEFAULT-001",
"headline": "",
"incentive_reduction": 20000,
"incentive_rebate": 5000,
"incentive_rebate_details": "Paid at settlement",
"incentive_upgrade": 0,
"site_cost_loading": 0
}
'import requests
url = "https://app.kenekt.com.au/v1/{agency_uid}/builds/{id}"
payload = {
"bdm_uid": "USR-DEFAULT-001",
"headline": "",
"incentive_reduction": 20000,
"incentive_rebate": 5000,
"incentive_rebate_details": "Paid at settlement",
"incentive_upgrade": 0,
"site_cost_loading": 0
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
bdm_uid: 'USR-DEFAULT-001',
headline: '',
incentive_reduction: 20000,
incentive_rebate: 5000,
incentive_rebate_details: 'Paid at settlement',
incentive_upgrade: 0,
site_cost_loading: 0
})
};
fetch('https://app.kenekt.com.au/v1/{agency_uid}/builds/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.kenekt.com.au/v1/{agency_uid}/builds/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'bdm_uid' => 'USR-DEFAULT-001',
'headline' => '',
'incentive_reduction' => 20000,
'incentive_rebate' => 5000,
'incentive_rebate_details' => 'Paid at settlement',
'incentive_upgrade' => 0,
'site_cost_loading' => 0
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.kenekt.com.au/v1/{agency_uid}/builds/{id}"
payload := strings.NewReader("{\n \"bdm_uid\": \"USR-DEFAULT-001\",\n \"headline\": \"\",\n \"incentive_reduction\": 20000,\n \"incentive_rebate\": 5000,\n \"incentive_rebate_details\": \"Paid at settlement\",\n \"incentive_upgrade\": 0,\n \"site_cost_loading\": 0\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://app.kenekt.com.au/v1/{agency_uid}/builds/{id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"bdm_uid\": \"USR-DEFAULT-001\",\n \"headline\": \"\",\n \"incentive_reduction\": 20000,\n \"incentive_rebate\": 5000,\n \"incentive_rebate_details\": \"Paid at settlement\",\n \"incentive_upgrade\": 0,\n \"site_cost_loading\": 0\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.kenekt.com.au/v1/{agency_uid}/builds/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"bdm_uid\": \"USR-DEFAULT-001\",\n \"headline\": \"\",\n \"incentive_reduction\": 20000,\n \"incentive_rebate\": 5000,\n \"incentive_rebate_details\": \"Paid at settlement\",\n \"incentive_upgrade\": 0,\n \"site_cost_loading\": 0\n}"
response = http.request(request)
puts response.read_body{
"build": {
"public_uid": "BP-1234",
"property_uid": "LT-1234",
"design_uid": "BD-1234",
"design_name": "KENEKT DESIGN",
"facade_uid": "FA-6033377",
"facade_name": "KENEKT FACADE",
"headline": "",
"build_status": "available",
"quick_listing": false,
"total_price": 0,
"site_cost_loading": 0,
"rental_from": 0,
"rental_to": 0,
"rental_period": "per week",
"open_distribution": false,
"bdm_uid": null,
"photos_count": 0,
"documents_count": 0,
"incentives": [],
"url": "https://app.kenekt.com.au/AG-1234/builds/BP-1234/edit"
}
}{
"error": "Not found"
}Stock / Packages
Update a package
Changes the package’s details, design, facade or business development manager. A field sent blank is cleared.
PATCH
/
{agency_uid}
/
builds
/
{id}
Update a package
curl --request PATCH \
--url https://app.kenekt.com.au/v1/{agency_uid}/builds/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"bdm_uid": "USR-DEFAULT-001",
"headline": "",
"incentive_reduction": 20000,
"incentive_rebate": 5000,
"incentive_rebate_details": "Paid at settlement",
"incentive_upgrade": 0,
"site_cost_loading": 0
}
'import requests
url = "https://app.kenekt.com.au/v1/{agency_uid}/builds/{id}"
payload = {
"bdm_uid": "USR-DEFAULT-001",
"headline": "",
"incentive_reduction": 20000,
"incentive_rebate": 5000,
"incentive_rebate_details": "Paid at settlement",
"incentive_upgrade": 0,
"site_cost_loading": 0
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
bdm_uid: 'USR-DEFAULT-001',
headline: '',
incentive_reduction: 20000,
incentive_rebate: 5000,
incentive_rebate_details: 'Paid at settlement',
incentive_upgrade: 0,
site_cost_loading: 0
})
};
fetch('https://app.kenekt.com.au/v1/{agency_uid}/builds/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.kenekt.com.au/v1/{agency_uid}/builds/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'bdm_uid' => 'USR-DEFAULT-001',
'headline' => '',
'incentive_reduction' => 20000,
'incentive_rebate' => 5000,
'incentive_rebate_details' => 'Paid at settlement',
'incentive_upgrade' => 0,
'site_cost_loading' => 0
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.kenekt.com.au/v1/{agency_uid}/builds/{id}"
payload := strings.NewReader("{\n \"bdm_uid\": \"USR-DEFAULT-001\",\n \"headline\": \"\",\n \"incentive_reduction\": 20000,\n \"incentive_rebate\": 5000,\n \"incentive_rebate_details\": \"Paid at settlement\",\n \"incentive_upgrade\": 0,\n \"site_cost_loading\": 0\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://app.kenekt.com.au/v1/{agency_uid}/builds/{id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"bdm_uid\": \"USR-DEFAULT-001\",\n \"headline\": \"\",\n \"incentive_reduction\": 20000,\n \"incentive_rebate\": 5000,\n \"incentive_rebate_details\": \"Paid at settlement\",\n \"incentive_upgrade\": 0,\n \"site_cost_loading\": 0\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.kenekt.com.au/v1/{agency_uid}/builds/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"bdm_uid\": \"USR-DEFAULT-001\",\n \"headline\": \"\",\n \"incentive_reduction\": 20000,\n \"incentive_rebate\": 5000,\n \"incentive_rebate_details\": \"Paid at settlement\",\n \"incentive_upgrade\": 0,\n \"site_cost_loading\": 0\n}"
response = http.request(request)
puts response.read_body{
"build": {
"public_uid": "BP-1234",
"property_uid": "LT-1234",
"design_uid": "BD-1234",
"design_name": "KENEKT DESIGN",
"facade_uid": "FA-6033377",
"facade_name": "KENEKT FACADE",
"headline": "",
"build_status": "available",
"quick_listing": false,
"total_price": 0,
"site_cost_loading": 0,
"rental_from": 0,
"rental_to": 0,
"rental_period": "per week",
"open_distribution": false,
"bdm_uid": null,
"photos_count": 0,
"documents_count": 0,
"incentives": [],
"url": "https://app.kenekt.com.au/AG-1234/builds/BP-1234/edit"
}
}{
"error": "Not found"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
OK
Show child attributes
Show child attributes